Bug 653022 - SELinux is preventing /sbin/iptables-multi "read" access on /root/iptables.txt.
Summary: SELinux is preventing /sbin/iptables-multi "read" access on /root/iptabl...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:b94f33206a2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 05:50 UTC by Jeff lats
Modified: 2010-11-15 11:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-15 11:35:07 UTC
Type: ---


Attachments (Terms of Use)

Description Jeff lats 2010-11-14 05:50:19 UTC
Summary:

SELinux is preventing /sbin/iptables-multi "read" access on /root/iptables.txt.

Detailed Description:

[ip6tables-resto has a permissive type (iptables_t). This access was not
denied.]

SELinux denied access requested by iptables-restor. It is not expected that this
access is required by iptables-restor and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:iptables_t:s0-s0:c0.c102
                              3
Target Context                unconfined_u:object_r:admin_home_t:s0
Target Objects                /root/iptables.txt [ file ]
Source                        ip6tables-resto
Source Path                   /sbin/ip6tables-multi
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           iptables-1.4.7-2.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-57.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.34.7-56.fc13.x86_64 #1
                              SMP Wed Sep 15 03:36:55 UTC 2010 x86_64 x86_64
Alert Count                   4
First Seen                    Tue 05 Oct 2010 09:28:42 PM EST
Last Seen                     Tue 05 Oct 2010 10:19:14 PM EST
Local ID                      0c5ab083-27d5-49da-a153-32189eb46d6d
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1286277554.520:64): avc:  denied  { read } for  pid=2738 comm="iptables-restor" path="/root/iptables.txt" dev=sda1 ino=146118 scontext=unconfined_u:unconfined_r:iptables_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:admin_home_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1286277554.520:64): arch=c000003e syscall=59 success=yes exit=0 a0=1707a20 a1=17060e0 a2=16e5d90 a3=10 items=0 ppid=2544 pid=2738 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts1 ses=1 comm="iptables-restor" exe="/sbin/iptables-multi" subj=unconfined_u:unconfined_r:iptables_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,ip6tables-resto,iptables_t,admin_home_t,file,read
audit2allow suggests:libsepol.context_from_record: invalid security context: "unconfined_u:unconfined_r:iptables_t:s0-s0:c0.c1023"
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert unconfined_u:unconfined_r:iptables_t:s0-s0:c0.c1023 to sid

Comment 1 Miroslav Grepl 2010-11-15 11:35:07 UTC
Please fully update your system.

# yum update


Note You need to log in before you can comment on or make changes to this bug.